%define nsusr nagios
%define nsgrp nagios
%define cmdusr apache
%define cmdgrp apache

Summary:	Host/service/network monitoring program
Name:		nagios
Version:	2.7
Release:	%mkrel 1
License:	GPL
Group:		Networking/Other
URL:		http://www.nagios.org/
Source0:	http://prdownloads.sourceforge.net/nagios/%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Source4:	http://nagios.sourceforge.net/download/contrib/misc/mergecfg/mergecfg
Source5:	favicon.ico
Patch0:		nagios-optflags.diff
Patch3:		nagios-scandir.diff
Patch6:		nagios-favicon.diff
Patch7:		nagios-nonroot-no_priv_drop.diff
Patch8:		nagios-no_strip.diff
Patch9:		nagios-2.6-mdv_conf.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper apache-conf
Requires(postun): rpm-helper apache-conf
Requires:	apache-conf
Requires:	gawk
Requires:	grep
Requires:	nagios-plugins
Requires:	shadow-utils
Requires:	textutils
Requires:	perl
BuildRequires:	freetype2-devel
BuildRequires:	freetype-devel
BuildRequires: 	gd-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	xpm-devel
BuildRequires:	XFree86-devel
BuildRequires:	zlib-devel
BuildRequires:	perl-devel
BuildRequires:  autoconf2.5
BuildRequires:  automake1.7
BuildRequires:  libtool
BuildRequires:	ImageMagick
BuildRequires:	multiarch-utils >= 1.0.3
# use this when embedded perl works in nagios
#Requires:	libgdbm2
#BuildRequires: 	libgdbm2-devel
#BuildRequires: 	perl-devel
Obsoletes:	netsaint
Provides:	netsaint
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Nagios is a program that will monitor hosts and services on your
network. It has the ability to email or page you when a problem
arises and when a problem is resolved. Nagios is written in C and
is designed to run under Linux (and some other *NIX variants) as a
background process, intermittently running checks on various
services that you specify.

The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios.

This package provide core programs for nagios. The web interface,
documentation, and development files are built as separate
packages

%package	www
Summary:	Provides the HTML and CGI files for the Nagios web interface
Group:		Networking/WWW
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper apache-mpm-prefork
Requires(postun): rpm-helper apache-mpm-prefork
Requires(post): %{name} = %{epoch}:%{version}-%{release}
Requires(preun): %{name} = %{epoch}:%{version}-%{release}
%if %mdkversion >= 200700
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
%endif
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	apache-mpm-prefork
Requires:	freetype
Requires:	freetype2
Requires:	mailx
Requires:	perl
Requires:	traceroute
Epoch:		%{epoch}

%description	www
Nagios is a program that will monitor hosts and services on your network. It
has the ability to email or page you when a problem arises and when a problem
is resolved. Nagios is written in C and is designed to run under Linux (and
some other *NIX variants) as a background process, intermittently running
checks on various services that you specify.

Several CGI programs are included with Nagios in order to allow you to view the
current service status, problem history, notification history, and log file via
the web. This package provides the HTML and CGI files for the Nagios web
interface. In addition, HTML documentation is included in this package

%package	devel
Group:		Development/C
Summary:	Provides include files that Nagios-related applications may compile against
Epoch:		%{epoch}

%description	devel
Nagios is a program that will monitor hosts and services on your network. It
has the ability to email or page you when a problem arises and when a problem
is resolved. Nagios is written in C and is designed to run under Linux (and
some other *NIX variants) as a background process, intermittently running
checks on various services that you specify.

This package provides include files that Nagios-related applications may
compile against.

%prep

%setup -q -n %{name}-%{version}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done
    
%patch0 -p1 -b .optflags
%patch3 -p1
%patch6 -p1
%patch7 -p0
%patch8 -p0
%patch9 -p1

cp %{SOURCE1} nagios.init
cp %{SOURCE4} mergecfg
cp %{SOURCE5} favicon.ico

%build
export WANT_AUTOCONF_2_5=1
rm -f configure; touch missing
libtoolize --copy --force; aclocal-1.7; autoconf
#; automake --add-missing

export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"

./configure \
    --prefix=%{_prefix} \
    --with-init-dir=%{_initrddir} \
    --exec-prefix=%{_sbindir} \
    --bindir=%{_sbindir} \
    --sbindir=%{_libdir}/nagios/cgi \
    --libexecdir=%{_libdir}/nagios/plugins \
    --datadir=%{_datadir}/nagios \
    --sysconfdir=%{_sysconfdir}/nagios \
    --localstatedir=%{_var}/log/nagios \
    --with-lockfile=%{_var}/run/nagios/nagios.pid \
    --with-mail=/bin/mail \
    --with-nagios-user=%{nsusr} \
    --with-nagios-group=%{nsgrp} \
    --with-command-user=%{cmdusr} \
    --with-command-grp=%{cmdgrp} \
    --with-cgiurl=/nagios/cgi-bin \
    --with-htmurl=/nagios \
    --with-default-comments \
    --with-default-downtime \
    --with-default-extinfo \
    --with-default-retention \
    --with-default-status \
    --with-default-objects \
    --with-default-perfdata \
    --with-file-perfdata \
    --with-template-extinfo \
    --with-template-objects \
    --with-gd-lib=%{_libdir} \
    --with-gd-inc=%{_includedir}

# use this when embedded perl works in nagios
#    --enable-embedded-perl \
#    --with-perlcache \

%make all

pushd contrib
    make daemonchk.cgi
    make traceroute.cgi
# use this when embedded perl works in nagios
#    make mini_epn
    make convertcfg
popd

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d -m0755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d -m0755 %{buildroot}%{_var}/spool/nagios
install -d -m0755 %{buildroot}%{_var}/run/nagios
install -d -m0755 %{buildroot}%{_includedir}/nagios
install -d -m0755 %{buildroot}%{_initrddir}

install -d -m0755 %{buildroot}%{_sysconfdir}/nagios/{servers,printers,switches,routers}
install -d -m0755 %{buildroot}%{_libdir}/nagios/plugins/eventhandlers

make \
    DESTDIR=%{buildroot} \
    BINDIR=%{_sbindir} \
    CFGDIR=%{_sysconfdir}/nagios \
    CGIDIR=%{_libdir}/nagios/cgi \
    COMMAND_OPTS="" \
    HTMLDIR=%{_datadir}/nagios \
    INIT_OPTS="" \
    INSTALL=install \
    INSTALL_OPTS="" \
    LOGDIR=%{_var}/log/nagios \
    install \
    install-html \
    install-commandmode \
    install-config \
    fullinstall

install -m0644 sample-config/cgi.cfg %{buildroot}%{_sysconfdir}/nagios/
install -m0644 sample-config/nagios.cfg %{buildroot}%{_sysconfdir}/nagios/
install -m0644 sample-config/resource.cfg %{buildroot}%{_sysconfdir}/nagios/
install -m0644 sample-config/template-object/commands.cfg %{buildroot}%{_sysconfdir}/nagios/
install -m0644 sample-config/template-object/localhost.cfg %{buildroot}%{_sysconfdir}/nagios/

# fix docs
cp sample-config/README README.sample-config
cp sample-config/template-object/README README.template-object

# install headers
install -m0644 include/locations.h %{buildroot}%{_includedir}/nagios/

pushd contrib
    make \
	DESTDIR=%{buildroot} \
	BINDIR=%{_sbindir} \
	CFGDIR=%{_sysconfdir}/nagios \
	CGIDIR=%{_libdir}/nagios/cgi \
	COMMAND_OPTS="" \
	HTMLDIR=%{_datadir}/nagios \
	INIT_OPTS="" \
	INSTALL=install \
	INSTALL_OPTS="" \
	LOGDIR=%{_var}/log/nagios \
	install
popd

# fix strange dir perms
find %{buildroot}%{_datadir}/nagios -type d | xargs chmod 755

# fix default config
perl -p -i -e "s|=%{_var}/log/nagios/rw/|=%{_var}/spool/nagios/|g" %{buildroot}%{_sysconfdir}/nagios/*

# install simplified init script
install -m0755 nagios.init %{buildroot}%{_initrddir}/nagios

# install the mergecfg script
install -m0755 mergecfg %{buildroot}%{_sbindir}/nagios-mergecfg

# fix web access
cat > apache-nagios.conf << EOF
# WITHOUT SSL

<IfModule !mod_ssl.c>

    ScriptAlias /%{name}/cgi-bin %{_libdir}/%{name}/cgi

    <Directory %{_libdir}/%{name}/cgi>
        Options ExecCGI
        order deny,allow
        deny from all
        allow from 127.0.0.1
	ErrorDocument 403 "Access denied per %{_sysconfdir}/httpd/conf/webapps.d/12_nagios.conf"
    </Directory>

    Alias /%{name} %{_datadir}/%{name}

    <Directory %{_datadir}/%{name}>
        Options None
        order deny,allow
        deny from all
        allow from 127.0.0.1
	ErrorDocument 403 "Access denied per %{_sysconfdir}/httpd/conf/webapps.d/12_nagios.conf"
    </Directory>

</IfModule>

# WITH SSL ENABLED

<IfModule mod_ssl.c>

    ScriptAlias /%{name}/cgi-bin %{_libdir}/%{name}/cgi

    <Directory %{_libdir}/%{name}/cgi>
	Options ExecCGI
	SSLRequireSSL
	order deny,allow
	deny from all
	AuthType Basic
	AuthUserFile %{_sysconfdir}/%{name}/passwd
	AuthGroupFile %{_sysconfdir}/%{name}/group
	AuthName "%{name}"
	require group %{name}
	Satisfy Any
    </Directory>

    Alias /%{name} %{_datadir}/%{name}

    <Directory %{_datadir}/%{name}>
	Options None
	SSLRequireSSL
	order deny,allow
	deny from all
	AuthType Basic
	AuthUserFile %{_sysconfdir}/%{name}/passwd
	AuthGroupFile %{_sysconfdir}/%{name}/group
	AuthName "%{name}"
	require group %{name}
	Satisfy Any
    </Directory>

# Uncomment the following lines to force a redirect to a working
# SSL aware apache server. This serves as an example.
#    <LocationMatch /%{name}>
#	Options FollowSymLinks
#	RewriteEngine on
#	RewriteCond %{SERVER_PORT} !^443$
#	RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R]
#    </LocationMatch>

</IfModule>

EOF
install -m0644 apache-nagios.conf %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/12_nagios.conf

echo "%{name}:" > %{buildroot}%{_sysconfdir}/nagios/passwd
echo "%{name}: root %{name}" > %{buildroot}%{_sysconfdir}/nagios/group

# install and fix event handlers
install -m0755 contrib/eventhandlers/disable_active_service_checks %{buildroot}%{_libdir}/nagios/plugins/eventhandlers/
install -m0755 contrib/eventhandlers/disable_notifications %{buildroot}%{_libdir}/nagios/plugins/eventhandlers/
install -m0755 contrib/eventhandlers/enable_active_service_checks %{buildroot}%{_libdir}/nagios/plugins/eventhandlers/
install -m0755 contrib/eventhandlers/enable_notifications %{buildroot}%{_libdir}/nagios/plugins/eventhandlers/
install -m0755 contrib/eventhandlers/submit_check_result %{buildroot}%{_libdir}/nagios/plugins/eventhandlers/
install -m0755 contrib/eventhandlers/distributed-monitoring/obsessive_svc_handler %{buildroot}%{_libdir}/nagios/plugins/eventhandlers/
install -m0755 contrib/eventhandlers/distributed-monitoring/submit_check_result_via_nsca %{buildroot}%{_libdir}/nagios/plugins/eventhandlers/
install -m0755 contrib/eventhandlers/redundancy-scenario1/handle-master-host-event %{buildroot}%{_libdir}/nagios/plugins/eventhandlers/
install -m0755 contrib/eventhandlers/redundancy-scenario1/handle-master-proc-event %{buildroot}%{_libdir}/nagios/plugins/eventhandlers/

find %{buildroot}%{_libdir}/nagios/plugins/eventhandlers -type f | xargs perl -pi -e "s|/usr/local/nagios%{_var}/rw/|%{_var}/spool/nagios/|g"
find %{buildroot}%{_libdir}/nagios/plugins/eventhandlers -type f | xargs perl -pi -e "s|/usr/local/nagios/libexec/eventhandlers|%{_libdir}/nagios/plugins/eventhandlers|g"
find %{buildroot}%{_libdir}/nagios/plugins/eventhandlers -type f | xargs perl -pi -e "s|/usr/local/nagios/libexec/send_nsca|%{_libdir}/nagios/plugins/send_nsca|g"
find %{buildroot}%{_libdir}/nagios/plugins/eventhandlers -type f | xargs perl -pi -e "s|/usr/local/nagios/test%{_var}|%{_var}/log/nagios|g"
find %{buildroot}%{_libdir}/nagios/plugins/eventhandlers -type f | xargs perl -pi -e "s|/usr/local/nagios/etc/send_nsca.cfg|%{_sysconfdir}/nagios/send_nsca.cfg|g"

# Mandriva Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

convert html/images/logofullsize.jpg -resize 16x16  %{buildroot}%{_miconsdir}/%{name}.png
convert html/images/logofullsize.jpg -resize 32x32  %{buildroot}%{_iconsdir}/%{name}.png
convert html/images/logofullsize.jpg -resize 48x48  %{buildroot}%{_liconsdir}/%{name}.png

# install menu entry.
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
needs=X11 \
section=System/Monitoring \
title="Nagios" \
longtitle="%{summary}" \
command="%{_bindir}/www-browser http://localhost/%{name}/" \
icon="%{name}.png" \
xdg="true"
EOF

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Nagios
Comment=%{summary}
Exec="%{_bindir}/www-browser http://localhost/%{name}/"
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

%multiarch_includes %{buildroot}%{_includedir}/nagios/locations.h

# install the favicon.ico
install -m0644 favicon.ico %{buildroot}%{_datadir}/nagios/

cat > README.urpmi << EOF
The previous minimalistic config files is not needed anymore since nagios-2.6
works out of the box now. You will have to manually merge any changes you have
made in the config files. When installing nagios-www a password for the nagios
web access user will be generated if needed. The password will be saved in
clear text in the /etc/nagios/passwd.plaintext file.
EOF

%pre
%_pre_useradd %{nsusr} %{_var}/log/nagios /bin/sh
# this logic is taken from sympa
groups=`groups %{cmdgrp} | cut -d " " -f 4- | tr ' ' ,`
if [ -n "$groups" ]; then
    groups="$groups,%{nsgrp}"
else
    groups="%{nsgrp}";
fi
usermod -G $groups %{cmdgrp}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{nsusr}

if [ "$1" -ge "1" ]; then
    /sbin/service nagios condrestart >/dev/null 2>&1
fi

%post www
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi
%update_menus
%if %mdkversion >= 200700
%update_desktop_database
%endif

if [ -z "`cat %{_sysconfdir}/%{name}/passwd|cut -d: -f2`" ]; then
    echo "Setting a unique password for the %{name} web user. As root look in the %{_sysconfdir}/%{name}/passwd.plaintext file to view it."
    PASSWORD=`perl -e 'for ($i = 0, $bit = "!", $key = ""; $i < 8; $i++) {while ($bit !~ /^[0-9A-Za-z]$/) { $bit = chr(rand(90) + 32); } $key .= $bit; $bit = "!"; } print "$key";'`
    %{_sbindir}/htpasswd -b %{_sysconfdir}/%{name}/passwd %{name} $PASSWORD
    echo "$PASSWORD" > %{_sysconfdir}/%{name}/passwd.plaintext
    chmod 600 %{_sysconfdir}/%{name}/passwd.plaintext
fi

%postun www
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi
%clean_menus
%if %mdkversion >= 200700
%clean_desktop_database
%endif

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changelog INSTALLING LEGAL README* UPGRADING README.urpmi sample-config/mrtg.cfg
%attr(0755,root,root) %{_initrddir}/nagios
%attr(0755,root,root) %{_sbindir}/*
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/nagios/*-sample
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/nagios/*.cfg
%attr(0755,root,root) %dir %{_sysconfdir}/nagios/servers
%attr(0755,root,root) %dir %{_sysconfdir}/nagios/printers
%attr(0755,root,root) %dir %{_sysconfdir}/nagios/switches
%attr(0755,root,root) %dir %{_sysconfdir}/nagios/routers
%attr(0755,%{nsusr},%{nsgrp}) %dir %{_var}/log/nagios
%attr(0755,%{nsusr},%{nsgrp}) %dir %{_var}/log/nagios/archives
%attr(2775,%{nsusr},%{cmdgrp}) %dir %{_var}/spool/nagios
%attr(0755,%{nsusr},%{nsgrp}) %dir %{_var}/run/nagios
%attr(0755,root,root) %{_libdir}/nagios/plugins/eventhandlers/*

%files www
%defattr(-,root,root)
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd/conf/webapps.d/*_nagios.conf
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/nagios/passwd
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/nagios/group
%attr(0755,root,root) %{_libdir}/nagios/cgi/*
%attr(-,root,root) %{_datadir}/nagios
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop

%files devel
%defattr(-,root,root)
%multiarch %{multiarch_includedir}/nagios/locations.h
%{_includedir}/nagios


%changelog
* Thu Jan 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2.7-1mdv2007.0
+ Revision: 113174
- 2.7
- make it backportable

* Thu Nov 30 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.6-1mdv2007.1
+ Revision: 89047
- 2.6
- remove obsolete patches and add one new one
- remove obsolete sources
- generate a password if needed for the nagios web user
- added a README.urpmi file outlining the changes

* Wed Nov 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.5-5mdv2007.1
+ Revision: 84428
- Import nagios



* Wed Nov 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.5-6mdv2007.1
- use the www-browser script instead
- fix the xdg menu
- remove conditional build switches for unsupported distros
- bunzip sources

* Wed Sep 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.5-5mdv2007.0
- don't enforce ssl redirect

* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.5-4mdv2007.0
- fix typo

* Wed Aug 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.5-3mdv2007.0
- fix xdg menu stuff

* Wed Aug 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.5-2mdv2007.0
- fix deps

* Fri Jul 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.5-1mdv2007.0
- 2.5 (Minor bugfixes)

* Sun Jul 02 2006 Emmanuel Andry <eandry@mandriva.org> 1:2.4-2mdv2007.0
- fix buildrequires

* Thu Jun 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.4-1mdv2007.0
- 2.4 (Minor bugfixes)
- rediffed P8

* Tue May 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.1-1mdk
- 2.3.1 (Major security fixes)

* Sat May 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.3-3mdk
- fix better apache config

* Wed May 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.3-2mdk
- fix deps
- relocate the /admin/nagios url to /nagios
- fix better apache config
- fix a menuentry

* Thu May 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.3-1mdk
- 2.3 (Minor security fixes)

* Sat Apr 08 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2-1mdk
- 2.2 (Minor bugfixes)

* Fri Apr 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-2mdk
- fix deps and #20711

* Mon Mar 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-1mdk
- 2.1 (Minor bugfixes)

* Thu Feb 23 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-3mdk
- install the apache config depending on distro

* Tue Feb 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-2mdk
- fix deps

* Wed Feb 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-1mdk
- 2.0 (Minor bugfixes)

* Wed Jan 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0rc2-1mdk
- 2.0rc2 (Minor bugfixes)
- rediffed P2

* Thu Dec 01 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0b6-1mdk
- 2.0b5 (Minor bugfixes)

* Tue Nov 15 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0b5-1mdk
- 2.0b5 (Minor bugfixes)
- remove strip calls (P8)

* Tue Oct 18 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0b4-2mdk
- fix #19312

* Wed Aug 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0b4-1mdk
- 2.0b4 (Minor bugfixes)
- fix %%post and %%postun for the nagios-www package
- fix deps

* Mon May 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0b4-0.20050530.1mdk
- use a recent snap (20050530)
- added a nice favicon.ico patch by PLD (S5 & P6)
- added a patch by Andreas Ericsson (P7)

* Wed May 25 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0b3-2mdk
- fix #13814

* Mon Apr 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0b3-1mdk
- 2.0b3
- added P5 to make the shipped minimalistic config work again

* Sun Apr 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0b2-4mdk
- use the %%mkrel macro

* Sat Feb 19 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0b2-3mdk
- added P4 to bring back some missing stuff
- handle the %postun better

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0b2-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0b2-1mdk
- 2.0b2
- rediffed P0
- make it compile on x86_64

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0a1-0.20041024.3mdk
- set LC_ALL=C in the initscript in an attempt to fix #12740 like future issues
- fix deps and conditional %%multiarch

* Mon Nov 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0a1-0.20041024.2mdk
- added S2
- enhanced the init scipt a bit (S1)

* Sun Oct 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0a1-0.20041024.1mdk
- 20041024

* Sun Oct 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0a1-0.20041002.2mdk
- fix one typo

* Sun Oct 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0a1-0.20041002.1mdk
- cvs snap 20041002 of 2.0a1
- added the long forgotten eventhandlers
- new S2
- added P2 & P3
- misc spec file fixes

* Mon Jul 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2-4mdk
- added P1 to make it recognize the correct gd stuff

* Fri Jun 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2-3mdk
- rebuilt against new gd

* Sat May 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2-2mdk
- fix #9762 (revert changes in 1.2-1mdk)
- fix deps

* Wed Mar 3 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.2-1mdk
- 1.2
- fixed 12_nagios.conf

* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1-3mdk
- close #4479 

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1-2mdk
- rebuild
- added P0 to make it honor %%{optflags}

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1-1mdk
- 1.1

* Sun Mar 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-7mdk
- argh!!! forgot to update requires and buildrequires for the 
  conditional builds!!!

* Sun Mar 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-6mdk
- argh!!! forgot to provide the pid dir!!!
- might as well restart apache... (using the advx macros)

* Sun Mar 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-5mdk
- fixed S2 & S3 (this should work right out of the box...)

* Sat Mar 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-4mdk
- remove rude stuff in %%post, let apache2 handle it...
- added S3
- relocate the /nagios url to /admin/nagios
- fix pid dir in S1 and in the spec file

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-3mdk
- build release

* Sat Dec 07 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-2mdk
- PreReq: nagios on the nagios-www subpackage (should generate the 
  nagios user and prevent errors)
- ship my minimalistic config files (S2) in %%{_sysconfdir}/nagios/,
  people expects nagios to work right out of the box..., well there 
  you have it..., now it should...
- simplified the sysv script (S1)
- major spec file fixes

* Mon Nov 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-1mdk
- new version

* Sat Nov 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0b6-2mdk
- fix missing/unpackaged files

* Tue Sep 17 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0b6-1mdk
- new version

* Sun Sep 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0b5-2mdk
- fixed a bug where restart did not work as pointed out 
  by Guillaume Bourque
- misc spec file fixes

* Thu Aug 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0b5-1mdk
- initial cooker contrib
- misc spec file fixes, used the provided spec file but used spec
  file voodoo magic from Vincent Danens qmail package to be able
  to rebuild with either MySQL or PostgreSQL support.
